skb_append_datato_frags
Prev | Socket Buffer Functions | Next

## Name

skb_append_datato_frags — append the user data to a skb

## Synopsis

`int skb_append_datato_frags (` | struct sock * | sk,
| struct sk_buff * | skb,
| int (* | getfrag`(`void *from, char *to, int offset, int len, int odd, struct sk_buff *skb`)`,
| void * | from,
| int | length`)`;

## Arguments

`sk`

  sock structure

`skb`

  skb structure to be appened with user data.

`getfrag`

  call back function to be used for getting the user data

`from`

  pointer to user message iov

`length`

  length of the iov message

## Description

This procedure append the user data in the fragment part of the skb if any page alloc fails user this procedure returns -ENOMEM

Prev | Up | Next
skb_find_text | Home | skb_pull_rcsum